#include <stdio.h>
#include <stdlib.h>

int jed(int a)
{
    int jed=a%10;
}
int des(int a)
{
    int des=(a%100)/10;
}
int st(int a)
{
    int st=(a%1000)/100;
}
int hilj(int a)
{
    int hilj=(a%10000)/1000;
}
int dhilj(int a)
{
    int dhilj=(a%100000)/10000;
}
int sthilj(int a)
{
    int sthilj=(a%1000000)/100000;
}
int main()
{
    int x,y,j,d,s,h,dh,sh,m;
    scanf("%d%d",&x,&y);
    x<pow(10,9);
    y<pow(10,9);
    if(jed(x)>jed(y))
        j=jed(x);
    else
        j=jed(y);
    if(des(x)>des(y))
        d=des(x);
    else
        d=des(y);
    if(st(x)>st(y))
        s=st(x);
    else
        s=st(y);
    if(hilj(x)>hilj(y))
        h=hilj(x);
    else
        h=hilj(y);
    if(dhilj(x)>dhilj(y))
        dh=dhilj(x);
    else
        dh=dhilj(y);
    if(sthilj(x)>sthilj(y))
        sh=sthilj(x);
    else
        sh=sthilj(y);
    if(sh>0 && dh>0 && h>0 && s>0)
    {
        if(jed(x)==jed(y) && des(x)==des(y) && st(x)==st(y) && hilj(x)==hilj(y) && dhilj(x)==dhilj(y) && sthilj(x)==sthilj(y))
            printf("%d%d%d%d%d%d%d%d%d%d%d%d",sh,sh,dh,dh,h,h,s,s,d,d,j,j);
        else if(sthilj(x)==sthilj(y))
            printf("%d%d%d%d%d%d%d",sh,sh,dh,h,s,d,j);
        else if(dhilj(x)==dhilj(y))
            printf("%d%d%d%d%d%d%d",sh,dh,dh,h,s,d,j);
        else if(hilj(x)==hilj(y))
            printf("%d%d%d%d%d%d&d",sh,dh,h,h,s,d,j);
        else if(st(x)==st(y))
            printf("%d%d%d%d%d&d&d",sh,dh,h,s,s,d,j);
        else if(des(x)==des(y))
            printf("%d%d%d%d%d%d%d",sh,dh,h,s,d,d,j);
        else if(jed(x)==jed(y))
            printf("%d%d%d%%d%d%%d",sh,dh,h,s,d,j,j);
        else
            printf("%d%d%d%d%d%d",sh,dh,h,s,d,j);
    }
    else if(sh==0 && dh>0 && h>0 && s>0)
    {
        if(jed(x)==jed(y) && des(x)==des(y) && st(x)==st(y) && hilj(x)==hilj(y) && dhilj(x)==dhilj(y))
            printf("%d%d%d%d%d%d%d%d%d%d",dh,dh,h,h,s,s,d,d,j,j);
        else if(dhilj(x)==dhilj(y))
            printf("%d%d%d%d%d%d",dh,dh,h,s,d,j);
        else if(hilj(x)==hilj(y))
            printf("%d%d%d%d%d%d",dh,h,h,s,d,j);
        else if(st(x)==st(y))
            printf("%d%d%d%d%d&d",dh,h,s,s,d,j);
        else if(des(x)==des(y))
            printf("%d%d%d%d%d%d",dh,h,s,d,d,j);
        else if(jed(x)==jed(y))
            printf("%d%d%d%%d%d%d",dh,h,s,d,j,j);
        else
            printf("%d%d%d%d%d",dh,h,s,d,j);
    }
    else if(dh==0 && h>0 && s>0)
    {
        if(jed(x)==jed(y) && des(x)==des(y) && st(x)==st(y) && hilj(x)==hilj(y))
            printf("%d%d%d%d%d%d%d%d",h,h,s,s,d,d,j,j);
        else if(hilj(x)==hilj(y))
            printf("%d%d%d%d%d",h,h,s,d,j);
        else if(st(x)==st(y))
            printf("%d%d%d%d%d",h,s,s,d,j);
        else if(des(x)==des(y))
            printf("%d%d%d%d%d",h,s,d,d,j);
        else if(jed(x)==jed(y))
            printf("%d%d%d%%d%d",h,s,d,j,j);
        else
            printf("%d%d%d%d",h,s,d,j);
    }
    else if(h==0 && s>0)
    {
        if(jed(x)==jed(y) && des(x)==des(y) && st(x)==st(y))
            printf("%d%d%d%d%d%d",s,s,d,d,j,j);
        else if(st(x)==st(y))
            printf("%d%d%d%d",s,s,d,j);
        else if(des(x)==des(y))
            printf("%d%d%d%d",s,d,d,j);
        else if(jed(x)==jed(y))
            printf("%d%d%d%%d",s,d,j,j);
        else
            printf("%d%d%d",s,d,j);
    }
    else if(s==0)
    {
        if(jed(x)==jed(y) && des(x)==des(y))
            printf("%d%d%d%d",d,d,j,j);
        else if(des(x)==des(y))
            printf("%d%d%d",d,d,j);
        else if(jed(x)==jed(y))
            printf("%d%d%d",d,j,j);
        else
            printf("%d%d",d,j);
    }


    return 0;
}